/* CUSTOM */

.max-w-630 {
  width: 100%;
  max-width: 630px;
}

.line-height-1-6 {
  line-height: 1.6rem !important;
} 

.bg-journey {
  background-image: url('../img/bg-journey.webp');
  background-size: cover;
  background-repeat: no-repeat;
  background-position-y: top;
  background-position-x: center;
}

.bg-pre-requisits-mobile {
  background-image: url('../img/bg-pre-requisits-mobile.webp');
  background-size: cover;
  background-repeat: no-repeat;
  background-position-y: top;
  background-position-x: 40%;
}

.bg-steps {
  background-image: url('../img/bg-steps.webp');
  background-size: cover;
  background-repeat: no-repeat;
  background-position-y: top;
  background-position-x: center;
}

.bg-beneficios-mobile {
  background-image: url('../img/bg-beneficios-mobile.webp');
  background-size: cover;
  background-repeat: no-repeat;
  background-position-y: center;
  background-position-x: 60%;
}

.bg-inscreva-se-mobile {
  background-image: url('../img/bg-inscreva-se-mobile.webp');
  background-size: cover;
  background-repeat: no-repeat;
  background-position-x: center;
}

.bg-primary-500-90 {
  background-color: rgba(0, 58, 112, 0.9);
}

.shadow-sm { box-shadow: 0 3px 2px 0 rgb(0 0 0 / 0.2), 0 1px 3px -1px rgb(0 0 0 / 0.1) }

.dot {
  font-size: 10px;
}

/* ACCORDION STYLES */
.accordion-content {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
  background-color: var(--primary-300);
}

.accordion-content.open {
  padding: 24px 28px;
  /* max-height will be set dynamically */
}

.accordion-icon {
  transition: transform 0.3s ease;
}

.accordion-icon.open {
  transform: rotate(180deg);
}


/* ANIME */
/* Base para elementos com animação */
[data-anime] { opacity: 0; animation-play-state: paused; /* Animação pausada até entrar na tela */ }

/* Tipos de animação */
[data-anime="top"] { animation-name: fromTop; }
[data-anime="right"] { animation-name: fromRight; }
[data-anime="left"] { animation-name: fromLeft; }
[data-anime="bottom"] { animation-name: fromBottom; }
[data-anime="center"] { animation-name: fromCenter; }

/* Tempos de animação */
[data-time="fast"] {
  animation-duration: 0.2s;
  animation-delay: 0.2s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="medium"] {
  animation-duration: 0.4s;
  animation-delay: 0.4s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow01"] {
  animation-duration: 0.6s;
  animation-delay: 0.6s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow02"] {
  animation-duration: 0.8s;
  animation-delay: 0.8s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow03"] {
  animation-duration: 1.0s;
  animation-delay: 1.0s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow04"] {
  animation-duration: 1.2s;
  animation-delay: 1.1s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow05"] {
  animation-duration: 1.4s;
  animation-delay: 1.4s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow06"] {
  animation-duration: 1.6s;
  animation-delay: 1.6s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow07"] {
  animation-duration: 1.8s;
  animation-delay: 1.8s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow08"] {
  animation-duration: 2s;
  animation-delay: 2s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow09"] {
  animation-duration: 2.2s;
  animation-delay: 2.2s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow10"] {
  animation-duration: 2.4s;
  animation-delay: 2.4s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow11"] {
  animation-duration: 2.6s;
  animation-delay: 2.6s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow12"] {
  animation-duration: 2.8s;
  animation-delay: 2.8s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

[data-time="slow13"] {
  animation-duration: 3s;
  animation-delay: 3s;
  animation-timing-function: ease;
  animation-fill-mode: forwards;
}

/* Dispara a animação quando a classe 'visible' é adicionada */
[data-anime].visible { animation-play-state: running; }

/* Definição das animações */
@keyframes fromTop {
  from { opacity: 0; transform: translate3d(0, -50px, 0); }
  to { opacity: 1; transform: translate3d(0, 0, 0); }
}

@keyframes fromRight {
  from { opacity: 0; transform: translate3d(50px, 0, 0); }
  to { opacity: 1; transform: translate3d(0, 0, 0); }
}

@keyframes fromLeft {
  from { opacity: 0; transform: translate3d(-50px, 0, 0); }
  to { opacity: 1; transform: translate3d(0, 0, 0); }
}

@keyframes fromBottom {
  from { opacity: 0; transform: translate3d(0, 50px, 0); }
  to { opacity: 1; transform: translate3d(0, 0, 0); }
}

@keyframes fromCenter {
  from { opacity: 0; transform: scale(0.8); }
  to { opacity: 1; transform: scale(1); }
}

/* MEDIA QUERYS */
@media (max-width: 640px) {}

@media (min-width: 640px) and (max-width: 767px) {
  .sm\:max-w-420 {
    width: 100%;
    max-width: 420px;
  }

  .bg-pre-requisits {
    background-image: url('../img/bg-pre-requisits.webp');
    background-size: cover;
    background-repeat: no-repeat;
    background-position-y: top;
    background-position-x: 58%;
  }
}

@media (min-width: 768px) and (max-width: 1023px) {}

@media (max-width: 768px) {}

@media (min-width: 768px) {
  .md\:bg-pre-requisits {
    background-image: url('../img/bg-pre-requisits.webp');
    background-size: cover;
    background-repeat: no-repeat;
    background-position-y: top;
    background-position-x: center;
  }

  .md\:max-w-420 {
    width: 100%;
    max-width: 420px;
  }
}

/* MENU MOBILE - Telas MENORES que 1024px */
@media (max-width: 1023px) {
  #check {
    display: none;
  }
  .checkbtn {
    font-size: 30px;
    float: right;
    cursor: pointer;
    display: flex;
  }

  ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: var(--primary-500);
    top:72px;
    left: -100%;
    text-align: center;
    transition: all 0.5s;
  }
  nav ul li {
    display: block;
  }
  nav ul li a p{
    color: var(--white);
  }
  #check:checked ~ ul {
    left: 0;
  }

  .movie {
    max-width: 360px;
    height: 204px;
    border-radius: 12px;
    box-shadow: 0 3px 2px 0 rgb(0 0 0 / 0.2), 0 1px 3px -1px rgb(0 0 0 / 0.1)
  }

  .icon-banner {
    width: 32px;
    width: 32px;
  }

  .mt-20-neg {
    margin-top: -20px;
  }
}

/* MENU DESKTOP - Telas 1024px ou MAIORES */
@media (min-width: 1024px) {
  .movie {
    max-width: 580px;
    height: 325px;
    border-radius: 12px;
    box-shadow: 0 3px 2px 0 rgb(0 0 0 / 0.2), 0 1px 3px -1px rgb(0 0 0 / 0.1)
  }

  .lg\:bg-beneficios {
    background-image: url('../img/bg-beneficios.webp');
    background-size: cover;
    background-repeat: no-repeat;
    background-position-x: center;
  }

  .lg\:bg-inscreva-se {
    background-image: url('../img/bg-inscreva-se.webp');
    background-size: cover;
    background-repeat: no-repeat;
    background-position-x: center;
  }

  .lg\:mt-60-neg {
    margin-top: -60px;
  }

  .lg\:mt-40-neg {
    margin-top: -40px;
  }

  .lg\:mt-95-neg {
    margin-top: -95px;
  }
}

@media (min-width: 1024px) and (max-width: 1279px) {
  #check {
    display: none;
  }
  .checkbtn {
    font-size: 30px;
    float: right;
    cursor: pointer;
    display: flex;
  }

  ul {
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: var(--primary-500);
    top:72px;
    left: -100%;
    text-align: center;
    transition: all 0.5s;
  }
  nav ul li {
    display: block;
  }
  nav ul li a p{
    color: var(--white);
  }
  #check:checked ~ ul {
    left: 0;
  }
}

@media (min-width: 1280px) {
  .checkbtn {
    display: none;
  }
  #check {
    display: none;
  }
  ul {
    position: static;
    width: auto;
    height: auto;
    background-color: transparent;
    text-align: left;
    transition: none;
  }
  nav ul li {
    display: inline-flex;
  }
  nav ul li a p {
    color: var(--white);
  }
}

@media (min-width: 1366px) {}

@media (min-width: 1536px) {}
